class LeserSchreiberApp1{
	public static void main(String[] a){
		new LeserSchreiberApp1();
	}
	
	LeserSchreiberApp1(){
		LeserSchreiber1 c = new LeserSchreiber1();
		long startTime = System.currentTimeMillis();
		Thread t1 = startThread("incThread", c);
		Thread t2 = startThread("decThread", c);
		
		try{t1.join(); t2.join();}
		catch(InterruptedException e){System.out.println("interrupted");};
		System.out.println("Counter value: "+c.value()+"  runtime = "+(System.currentTimeMillis() - startTime));
	}
	
	Thread  startThread(final String n, final LeserSchreiber1 c){
		Thread t = new Thread(){
			public void run(){
				for(int i =0; i < 200; i++){
					if(n.equals("incThread"))c.inc();
					if(n.equals("decThread"))c.dec();
				}
				System.out.println(n+ " applied 200 times");
			}		
		};
		t.start();
		return t;
	}
		
		

}